<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Inmobiliaria</title>
    <script src="inmobiliaria.js"></script>
    <script src="cockies.js"></script>
</head>

<body>
    <h1>hoLA</h1>
    <script>
        let inmueble1 = new Inmueble("Calle Rioja", 16, "Si", 10000, 10000, "foto", "Recien Construida", 15);
        let casa1 = new Casa("Calle calle", 126, "Si", 14500, 14500, "foto", "Vacia", 90, 5, 2, "Casa", true, 220, false);
        let casa2 = new Casa("Calle casa", 121, "Si", 12500, 12500, "foto", "Vacia", 67, 3, 2, "Casa", true, 120, true);

        console.log("Inmueble de entre 10 y 20 años : " + inmueble1.calcularPrecio10Años() + "€");

        console.log(" Casa1 con jardin de mas de 250 m2: " + casa1.calcularPrecioJP() + "€");


        let piso = new Piso("Calle Rioja", 16, "Si", 10000, 10000, "foto", "Recien Construida", 15, 3, 5, 4, false, true);
        console.log("Piso con ascensor y 3 pisos o mas : " + piso.calcularPrecioA() + "€");
        piso.darAlta();

        let localI = new Local("Calle A", 67, "Si", 20000, 20000, "foto", " Construida", 15, 5, false, true);
        console.log("Precio local : " +localI.calcularPrecioL() + "€ con mas de 4 ventanas: " + localI.calcularPrecioV()+"€");
        localI.darAlta();
        
        let industrial = new Industrial("Calle A", 67, "Si", 20000, 20000, "foto", " Construida", 15, 5, false,true, true, 6,false);
        console.log("Precio local con suelo urbano:"+industrial.calcularSueloU());
        industrial.darAlta();

        inmueble1.darAlta();
        casa1.darAlta();
        casa2.darAlta();
        console.log("Altas")
        console.log(Inmobiliaria);

        // casa2.darBaja();
        // console.log(Inmobiliaria);

        // console.log("Modificacion inmueble")
        // casa1.modificar("estado", "abandonado");
        // console.log(Inmobiliaria);

        // // console.log("Desactivar inmueble")
        // // template.desactivar();
        // // console.log(Desactivados);

    </script>
</body>

</html>